Log in or register to post comments

Following instructions to the letter, app still crashing.

July 28, 2011 - 10:04am #4

Hi, I'm testing on a gt-i9000 samsung galaxy s, and trying to do this step:
https://ar.qualcomm.at/qdevnet/sdk/android/3303
I'm using the unity extension, as we are trying to decide between Unity and Shiva to make an AR app.

I wasn't 100% sure on how to get the config.xml file and a qcar-resources.dat file, given that I'm only trying to get the camera feed to appear at first, but I followed the link and uploaded an image of a building to recognise - then downloaded the package and imported into streaming assets.

Literally all I've done is stick the AR Camera into the scene and build - seems to build ok, there's a few console messages coming up about 'Textures have been updated', etc. and one about 'allowSceneObjects', but I don't think they should affect this.

When I install and run the apk file on the phone, I don't even get the unity splash screen - it just stays black and then 'sorry, the application blah-blah-blah has stopped unexpectedly'.

I am new to this stuff so maybe I'm missing something here? All I'm trying to do is get the phones live camera feed in the background of the scene at this early stage.

Any help appreciated.

Re: Following instructions to the letter, app still crashing.

July 28, 2011 - 10:57am #3

hi,
are you by any chance using unity 3.4? if so you have to wait for the QCAR update which should be out soon!
if you are not just try to build one of the sample projects.
regards,
stefan

Re: Following instructions to the letter, app still crashing.

July 29, 2011 - 3:21am #2

Ah, yes, Unity 3.4 is what I'm using. I'll wait for the update then, are we talking days/months? Cheers for the info. Hopefully I can go back to unity 3.3 if needs be.

Thanks.

Re: Following instructions to the letter, app still crashing.

July 29, 2011 - 8:36am #1

acoording to this message

UmbertoC wrote:

We just released our iOS Beta extension for Unity and it is compatible with Unity 3.4.

As far as our Android extension for Unity, expect to see a maintenance release that fixes compatibility with Unity 3.4 very soon.

it should be more like days...hopefully.

Log in or register to post comments